Package ru.bitel.bgbilling.kernel.contract.api.common.bean

# Class Contract

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.contract.api.common.bean.Contract

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class Contract extends IdTitle
Bean договора. По возможности старайтесь используйте этот bean, а не тот что в серверной части. Почти идентичен старому бину, только не содержит тарифы и опции.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Contract.Builder`

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.IdTitleBuilder`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final byte`
  `CREDIT_BALANCE_MODE`
  `static final byte`
  `DEBET_BALANCE_MODE`
  `static final int`
  `IS_INDEPENDENT`
  `static final int`
  `IS_SUPER`
  `static final int`
  `SUB_MODE_DEPENDENT`
  `static final int`
  `SUB_MODE_INDEPENDENT`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Contract()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Contract.Builder`
  `builder()`
  `static Contract.Builder`
  `builder(Contract contract)`
  `BigDecimal`
  `getBalanceLimit()`
  Возвращает лимит остатка договора.
  `byte`
  `getBalanceMode()`
  Возвращает режим баланса договора `DEBET_BALANCE_MODE` либо `CREDIT_BALANCE_MODE`.
  `byte`
  `getBalanceSubMode()`
  Возвращает тип субдоговора, может быть SUB_MODE_DEPEND_BALANCE либо SUB_MODE_INDEPEND_BALANCE из `KernelConst`.
  `String`
  `getComment()`
  Возвращает комментарий договора.
  `int`
  `getCommentPatternId()`
  Возвращает код шаблона комментария
  `Date`
  `getDateFrom()`
  Возвращает дату начала договора.
  `Date`
  `getDateTo()`
  Возвращает дату закрытия договора.
  `String`
  `getDependSubList()`
  Возвращает список субдоговоров с зависимым балансом.
  `int`
  `getDomainId()`
  ID домена
  `ContractFace`
  `getFace()`
  `long`
  `getGroups()`
  Получение битовой маски групп договора.
  `int`
  `getParamGroupId()`
  Возвращает код группы параметров договора.
  `String`
  `getPassword()`
  Возвращает пароль договора.
  `byte`
  `getPersonType()`
  Возвращает тип договора.
  `byte`
  `getStatus()`
  Возвращает текущий статус договора, доступные статусы перечислены в `KernelConst`.
  `Date`
  `getStatusTimeChange()`
  Возвращает дату установки текущего статуса договора.
  `int`
  `getSuperCid()`
  Возвращает код супердоговора.
  `boolean`
  `isActualDate(Date date)`
  период действия договора попадает на указанную дату (в основном для проверки на закрытость)
  `boolean`
  `isDependSub()`
  Договор является субдоговором с зависимым балансом
  `boolean`
  `isHidden()`
  Возвращает скрытость договора.
  `boolean`
  `isIndependSub()`
  Договор является субдоговором с независимым балансом
  `boolean`
  `isSub()`
  Договор является субдоговором.
  `boolean`
  `isSuper()`
  Договор является супердоговором.
  `void`
  `setBalanceLimit(BigDecimal limit)`
  Установка лимита остатка.
  `void`
  `setBalanceMode(byte balanceMode)`
  Устанаваливает режим баланса договора `DEBET_BALANCE_MODE` либо `CREDIT_BALANCE_MODE`.
  `void`
  `setBalanceSubMode(byte balanceSubMode)`
  Устанавливает тип субдоговора, может быть SUB_MODE_DEPEND_BALANCE либо SUB_MODE_INDEPEND_BALANCE из `KernelConst`.
  `void`
  `setComment(String comment)`
  Устанавливает комментарий договора.
  `void`
  `setCommentPatternId(int commentPatternId)`
  Устанавливает код шаблона имени.
  `void`
  `setDateFrom(Date dateFrom)`
  Устанавливает дату начала действия договора.
  `void`
  `setDateTo(Date dateTo)`
  Устанавливает дату закрытия договора.
  `void`
  `setDependSubList(String dependSubList)`
  Установка списка субдоговоров с зависимым балансом.
  `void`
  `setDomainId(int domainId)`
  `Contract`
  `setFace(ContractFace contractFace)`
  `void`
  `setGroups(long groups)`
  Установка битовой маски групп.
  `void`
  `setHidden(boolean hidden)`
  Устанавливает признак скрытости договора.
  `void`
  `setParamGroupId(int paramGroupId)`
  Устанавливает группу параметров договора.
  `void`
  `setPassword(String password)`
  Устанавливает пароль договора.
  `void`
  `setPersonType(byte personType)`
  Устанавливает тип договора.
  `void`
  `setStatus(byte status)`
  Устанавливает текущий статус договора, доступные статусы перечислены в `KernelConst`.
  `void`
  `setStatusTimeChange(Date statusTimeChange)`
  Устанавливает дату установки текущего статуса договора.
  `void`
  `setSuperCid(int superCid)`
  Устанавливает код супердоговора.
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Field Details

  - ### CREDIT_BALANCE_MODE

    public static final byte CREDIT_BALANCE_MODE
    See Also:
      - Constant Field Values

  - ### DEBET_BALANCE_MODE

    public static final byte DEBET_BALANCE_MODE
    See Also:
      - Constant Field Values

  - ### IS_SUPER

    public static final int IS_SUPER
    See Also:
      - Constant Field Values

  - ### IS_INDEPENDENT

    public static final int IS_INDEPENDENT
    See Also:
      - Constant Field Values

  - ### SUB_MODE_DEPENDENT

    public static final int SUB_MODE_DEPENDENT
    See Also:
      - Constant Field Values

  - ### SUB_MODE_INDEPENDENT

    public static final int SUB_MODE_INDEPENDENT
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Contract

    public Contract()

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `IdTitle`

  - ### getGroups

    public long getGroups()
    Получение битовой маски групп договора.

  - ### setGroups

    public void setGroups(long groups)
    Установка битовой маски групп.

  - ### getPassword

    public String getPassword()
    Возвращает пароль договора.

  - ### setPassword

    public void setPassword(String password)
    Устанавливает пароль договора.

  - ### getDateFrom

    public Date getDateFrom()
    Возвращает дату начала договора.

  - ### setDateFrom

    public void setDateFrom(Date dateFrom)
    Устанавливает дату начала действия договора.

  - ### getDateTo

    public Date getDateTo()
    Возвращает дату закрытия договора.

  - ### setDateTo

    public void setDateTo(Date dateTo)
    Устанавливает дату закрытия договора.

  - ### getBalanceMode

    public byte getBalanceMode()
    Возвращает режим баланса договора `DEBET_BALANCE_MODE` либо `CREDIT_BALANCE_MODE`.

  - ### setBalanceMode

    public void setBalanceMode(byte balanceMode)
    Устанаваливает режим баланса договора `DEBET_BALANCE_MODE` либо `CREDIT_BALANCE_MODE`.

  - ### getBalanceLimit

    public BigDecimal getBalanceLimit()
    Возвращает лимит остатка договора.

  - ### setBalanceLimit

    public void setBalanceLimit(BigDecimal limit)
    Установка лимита остатка.

  - ### getParamGroupId

    public int getParamGroupId()
    Возвращает код группы параметров договора.

  - ### setParamGroupId

    public void setParamGroupId(int paramGroupId)
    Устанавливает группу параметров договора.

  - ### getPersonType

    public byte getPersonType()
    Возвращает тип договора.
    Returns:
      0 - физ. лицо, 1 - юр. лицо. `getFace()`

  - ### setPersonType

    public void setPersonType(byte personType)
    Устанавливает тип договора.
    Parameters:
      `personType` - 0 - физ. лицо, 1 - юр. лицо. `setFace(ContractFace)`

  - ### setFace

    public Contract setFace(ContractFace contractFace)

  - ### getFace

    public ContractFace getFace()

  - ### getComment

    public String getComment()
    Возвращает комментарий договора.

  - ### setComment

    public void setComment(String comment)
    Устанавливает комментарий договора.

  - ### isHidden

    public boolean isHidden()
    Возвращает скрытость договора.
    Returns:
      true - договор скрыт.

  - ### setHidden

    public void setHidden(boolean hidden)
    Устанавливает признак скрытости договора. true - договор скрыт.

  - ### getSuperCid

    public int getSuperCid()
    Возвращает код супердоговора.

  - ### setSuperCid

    public void setSuperCid(int superCid)
    Устанавливает код супердоговора.

  - ### getDependSubList

    public String getDependSubList()
    Возвращает список субдоговоров с зависимым балансом.

  - ### setDependSubList

    public void setDependSubList(String dependSubList)
    Установка списка субдоговоров с зависимым балансом.

  - ### getStatus

    public byte getStatus()
    Возвращает текущий статус договора, доступные статусы перечислены в `KernelConst`.

  - ### setStatus

    public void setStatus(byte status)
    Устанавливает текущий статус договора, доступные статусы перечислены в `KernelConst`.

  - ### getStatusTimeChange

    public Date getStatusTimeChange()
    Возвращает дату установки текущего статуса договора.

  - ### setStatusTimeChange

    public void setStatusTimeChange(Date statusTimeChange)
    Устанавливает дату установки текущего статуса договора.

  - ### getCommentPatternId

    public int getCommentPatternId()
    Возвращает код шаблона комментария

  - ### setCommentPatternId

    public void setCommentPatternId(int commentPatternId)
    Устанавливает код шаблона имени.

  - ### getBalanceSubMode

    public byte getBalanceSubMode()
    Возвращает тип субдоговора, может быть SUB_MODE_DEPEND_BALANCE либо SUB_MODE_INDEPEND_BALANCE из `KernelConst`.

  - ### setBalanceSubMode

    public void setBalanceSubMode(byte balanceSubMode)
    Устанавливает тип субдоговора, может быть SUB_MODE_DEPEND_BALANCE либо SUB_MODE_INDEPEND_BALANCE из `KernelConst`.

  - ### isSuper

    public boolean isSuper()
    Договор является супердоговором.

  - ### isSub

    public boolean isSub()
    Договор является субдоговором.

  - ### isDependSub

    public boolean isDependSub()
    Договор является субдоговором с зависимым балансом

  - ### isIndependSub

    public boolean isIndependSub()
    Договор является субдоговором с независимым балансом

  - ### isActualDate

    public boolean isActualDate(Date date)
    период действия договора попадает на указанную дату (в основном для проверки на закрытость)

  - ### getDomainId

    public int getDomainId()
    ID домена
    Returns:
    See Also:
      - `Domain`

  - ### setDomainId

    public void setDomainId(int domainId)

  - ### builder

    public static Contract.Builder builder()

  - ### builder

    public static Contract.Builder builder(Contract contract)